#ifndef DOM_DONE
#define DOM_DONE 1
typedef struct DOM { 
	char *name;
	char *ip;
	char *org;
	char *post_add;
	char *path_stamp;
	char *addhead1;
	char *addhead2;
	char *addhead3;
	char *addhead4;
	char *addhead5;
	char *welcome;
	struct DOM *next;
} Dom;

int dom_free(void);
int dom_reload(void);
void dom_add(char *name, char *ip, char *org, char *post_add, char *post_stamp, char *addhead1,char *addhead2,char *addhead3,char *addhead4,char *addhead5, char *welcome);
int dom_setdom(int chan); /* Set current virtual domain */
char *dom_ini_get(int x);
#endif
